Could not open archive part file ../tmp/Joomla_3.9.26-Stable-Update_Package.zip for reading. C

Need help installing Joomla! 3.x? For all Joomla! 3.x installation issues please use this forum.

Moderator: General Support Moderators

Forum rules
Forum Rules
Absolute Beginner's Guide to Joomla! <-- please read before posting, this means YOU.
Forum Post Assistant - If you are serious about wanting help, you will use this tool to help you post.
Windows Defender SmartScreen Issues <-- please read this if using Windows 10
Post Reply
tat2d
Joomla! Apprentice
Joomla! Apprentice
Posts: 49
Joined: Sun Apr 17, 2011 4:58 pm

Could not open archive part file ../tmp/Joomla_3.9.26-Stable-Update_Package.zip for reading. C

Post by tat2d » Fri Apr 16, 2021 8:26 pm

Hello
I just installed a fresh Joomla installation and am trying to upgrade to 3.5.26 from 3.5.25. I get this error as a popup, and Joomla does not upgrade:
Could not open archive part file /home/dellagua/!pig.iallc.io/tmp/Joomla_3.9.26-Stable-Update_Package.zip for reading. Check that the file exists, is readable by the web server and is not in a directory made out of reach by chroot, open_basedir restrictions or any other restriction put in place by your host.
I have the full path for both tmp and logs in my configuration, there are no basedir issues. The folders are 0755 and the tmp folder is empty (shouldn't there be the upgrade file?).

I've looked at all the posts that come up in a Google search, but none of them helped solve my issue.

Here is my FPA:
Forum Post Assistant (v1.6.2) : 16-Apr-2021 wrote:
Last PHP Error(s) Reported :: wrote:[16-Apr-2021 18:23:10 UTC] PHP Warning: fseek() expects parameter 1 to be resource, bool given in /home/dellagua/!pig.iallc.io/administrator/components/com_joomlaupdate/restore.php on line 1293
Basic Environment :: wrote:Joomla! Instance :: Joomla! 3.9.25-Stable (Amani) 02-March-2021
Joomla! Platform :: Joomla Platform 13.1.0-Stable (Curiosity) 24-Apr-2013
Joomla! Configured :: Yes | Read-Only (444) |
Configuration Options :: Offline: false | SEF: true | SEF Suffix: true | SEF ReWrite: true | .htaccess/web.config: Yes | GZip: false | Cache: false | CacheTime: 15 | CacheHandler: file | CachePlatformPrefix: false | FTP Layer: false | Proxy: false | LiveSite: | Session lifetime: 15 | Session handler: none | Shared sessions: false | SSL: 0 | Error Reporting: default | Site Debug: false | Language Debug: false | Default Access: 1 | Unicode Slugs: false | dbConnection Type: mysqli | PHP Supports J! 3.9.25: Yes | Database Supports J! 3.9.25: Yes | Database Credentials Present: Yes |

Host Configuration :: OS: Linux | OS Version: 2.6.32-042stab145.3 | Technology: x86_64 | Web Server: Apache | Encoding: gzip, deflate, br | System TMP Writable: Yes | Free Disk Space : 22.14 GiB |

PHP Configuration :: Version: 7.4.16 | PHP API: fpm-fcgi | Session Path Writable: Yes | Display Errors: | Error Reporting: 22519 | Log Errors To: /home/dellagua/logs/pig_iallc_io.php.error.log | Last Known Error: 16th April 2021 20:16:40. | Register Globals: | Magic Quotes: | Safe Mode: | Allow url fopen: 1 | Open Base: | Uploads: 1 | Max. Upload Size: 128M | Max. POST Size: 128M | Max. Input Time: -1 | Max. Execution Time: 90 | Memory Limit: 64M

Database Configuration :: Version: 5.5.5-10.3.28-MariaDB (Client:mysqlnd 7.4.16) | Database Size: 6.17 MiB | #of Tables with config prefix:  87 | #of other Tables:  0 | User Privileges : GRANT ALL
Detailed Environment :: wrote:PHP Extensions :: Core (7.4.16) | date (7.4.16) | libxml (7.4.16) | openssl (7.4.16) | pcre (7.4.16) | zlib (7.4.16) | filter (7.4.16) | hash (7.4.16) | pcntl (7.4.16) | Reflection (7.4.16) | SPL (7.4.16) | session (7.4.16) | standard (7.4.16) | cgi-fcgi (7.4.16) | bcmath (7.4.16) | bz2 (7.4.16) | calendar (7.4.16) | ctype (7.4.16) | curl (7.4.16) | dba (7.4.16) | dom (20031129) | mbstring (7.4.16) | ftp (7.4.16) | gd (7.4.16) | gettext (7.4.16) | gmp (7.4.16) | iconv (7.4.16) | imap (7.4.16) | intl (7.4.16) | json (7.4.16) | ldap (7.4.16) | exif (7.4.16) | mysqlnd (mysqlnd 7.4.16) | PDO (7.4.16) | Phar (7.4.16) | posix (7.4.16) | pspell (7.4.16) | shmop (7.4.16) | SimpleXML (7.4.16) | soap (7.4.16) | sockets (7.4.16) | sqlite3 (7.4.16) | sysvmsg (7.4.16) | sysvsem (7.4.16) | sysvshm (7.4.16) | tidy (7.4.16) | tokenizer (7.4.16) | xml (7.4.16) | xmlwriter (7.4.16) | xsl (7.4.16) | zip (1.15.6) | mysqli (7.4.16) | pdo_mysql (7.4.16) | pdo_sqlite (7.4.16) | xmlreader (7.4.16) | xmlrpc (7.4.16) | apcu (5.1.19) | imagick (3.4.4) | ionCube Loader (10.4.5) | Zend OPcache (7.4.16) | Zend Engine (3.4.0) |
Potential Missing Extensions ::
Disabled Functions :: exec | passthru | shell_exec | system |

Switch User Environment :: PHP CGI: No | Server SU: No | PHP SU: No | Potential Ownership Issues: No
Folder Permissions :: wrote:Core Folders :: images/ (755) | components/ (755) | modules/ (755) | plugins/ (755) | language/ (755) | templates/ (755) | cache/ (755) | logs/ (755) | tmp/ (755) | administrator/components/ (777) | administrator/modules/ (777) | administrator/language/ (755) | administrator/templates/ (777) | administrator/logs/ (755) |

Elevated Permissions (First 10) :: plugins/authentication/ (777) | plugins/content/ (777) | plugins/editors-xtd/ (777) | plugins/extension/ (777) | plugins/fields/ (777) | plugins/gantry5/ (777) | plugins/gantry5/preset/language/ (777) | plugins/installer/ (777) | plugins/quickicon/ (777) | plugins/quickicon/gantry5/language/ (777) |
Database Information :: wrote:Database statistics :: Uptime: 57575 | Threads: 8 | Questions: 20601 | Slow queries: 0 | Opens: 13859 | Flush tables: 1 | Open tables: 512 | Queries per second avg: 0.357 |
Extensions Discovered :: wrote:Components :: Site ::
Core :: com_wrapper (3.0.0) 1 | com_mailto (3.0.0) 1 |
3rd Party::

Components :: Admin ::
Core :: com_menus (3.0.0) 1 | com_postinstall (3.2.0) 1 | com_search (3.0.0) 1 | com_associations (3.7.0) 1 | com_banners (3.0.0) 1 | com_users (3.0.0) 1 | com_actionlogs (3.9.0) 1 | com_media (3.0.0) 1 | com_login (3.0.0) 1 | com_cache (3.0.0) 1 | com_joomlaupdate (3.6.2) 1 | com_finder (3.0.0) 1 | com_content (3.0.0) 1 | com_fields (3.7.0) 1 | com_privacy (3.9.0) 1 | com_plugins (3.0.0) 1 | com_redirect (3.0.0) 1 | com_messages (3.0.0) 1 | com_tags (3.1.0) 1 | com_modules (3.0.0) 1 | com_categories (3.0.0) 1 | com_admin (3.0.0) 1 | com_config (3.0.0) 1 | com_ajax (3.2.0) 1 | com_languages (3.0.0) 1 | com_installer (3.0.0) 1 | com_cpanel (3.0.0) 1 | com_templates (3.0.0) 1 | com_contenthistory (3.2.0) 1 | com_checkin (3.0.0) 1 | com_newsfeeds (3.0.0) 1 |
3rd Party:: com_gantry5 (5.4.37) 1 | Akeeba (8.0.3) 1 |

Modules :: Site ::
Core :: mod_stats (3.0.0) 1 | mod_breadcrumbs (3.0.0) 1 | mod_search (3.0.0) 1 | mod_finder (3.0.0) 1 | mod_login (3.0.0) 1 | mod_articles_popular (3.0.0) 1 | mod_articles_archive (3.0.0) 1 | mod_feed (3.0.0) 1 | mod_random_image (3.0.0) 1 | mod_custom (3.0.0) 1 | mod_wrapper (3.0.0) 1 | mod_articles_category (3.0.0) 1 | mod_languages (3.5.0) 1 | mod_syndicate (3.0.0) 1 | mod_tags_similar (3.1.0) 1 | mod_related_items (3.0.0) 1 | mod_articles_categories (3.0.0) 1 | mod_tags_popular (3.1.0) 1 | mod_whosonline (3.0.0) 1 | mod_menu (3.0.0) 1 | mod_users_latest (3.0.0) 1 | mod_articles_news (3.0.0) 1 | mod_banners (3.0.0) 1 | mod_articles_latest (3.0.0) 1 | mod_footer (3.0.0) 1 |
3rd Party:: mod_gantry5_particle (5.4.37) 1 |

Modules :: Admin ::
Core :: mod_latestactions (3.9.0) 1 | mod_latest (3.0.0) 1 | mod_toolbar (3.0.0) 1 | mod_sampledata (3.8.0) 1 | mod_popular (3.0.0) 1 | mod_status (3.0.0) 1 | mod_login (3.0.0) 1 | mod_version (3.0.0) 1 | mod_feed (3.0.0) 1 | mod_custom (3.0.0) 1 | mod_logged (3.0.0) 1 | mod_stats_admin (3.0.0) 1 | mod_menu (3.0.0) 1 | mod_multilangstatus (3.0.0) 1 | mod_quickicon (3.0.0) 1 | mod_submenu (3.0.0) 1 | mod_title (3.0.0) 1 | mod_privacy_dashboard (3.9.0) 1 |
3rd Party::

Libraries ::
Core ::
3rd Party:: file_fof30 (3.6.2) ? | file_fof40 (4.0.4) ? |

Plugins ::
Core :: plg_editors-xtd_module (3.5.0) 1 | plg_editors-xtd_fields (3.7.0) 1 | plg_editors-xtd_article (3.0.0) 1 | plg_editors-xtd_readmore (3.0.0) 1 | plg_editors-xtd_pagebreak (3.0.0) 1 | plg_editors-xtd_image (3.0.0) 1 | plg_editors-xtd_menu (3.7.0) 1 | plg_extension_joomla (3.0.0) 1 | plg_content_confirmconsent (3.9.0) 0 | plg_content_fields (3.7.0) 1 | plg_content_vote (3.0.0) 0 | plg_content_joomla (3.0.0) 1 | plg_content_emailcloak (3.0.0) 1 | plg_content_pagenavigation (3.0.0) 1 | plg_content_pagebreak (3.0.0) 1 | plg_content_finder (3.0.0) 0 | plg_content_loadmodule (3.0.0) 1 | plg_installer_packageinstaller (3.6.0) 1 | PLG_INSTALLER_FOLDERINSTALLER (3.6.0) 1 | PLG_INSTALLER_URLINSTALLER (3.6.0) 1 | plg_quickicon_extensionupdate (3.0.0) 1 | plg_quickicon_phpversioncheck (3.7.0) 1 | plg_quickicon_joomlaupdate (3.0.0) 1 | plg_quickicon_privacycheck (3.9.0) 1 | plg_fields_sql (3.7.0) 1 | plg_fields_repeatable (3.9.0) 1 | plg_fields_media (3.7.0) 1 | plg_fields_radio (3.7.0) 1 | plg_fields_editor (3.7.0) 1 | plg_fields_imagelist (3.7.0) 1 | plg_fields_integer (3.7.0) 1 | plg_fields_user (3.7.0) 1 | plg_fields_checkboxes (3.7.0) 1 | plg_fields_url (3.7.0) 1 | plg_fields_usergrouplist (3.7.0) 1 | plg_fields_textarea (3.7.0) 1 | plg_fields_calendar (3.7.0) 1 | plg_fields_text (3.7.0) 1 | plg_fields_color (3.7.0) 1 | plg_fields_list (3.7.0) 1 | plg_authentication_gmail (3.0.0) 0 | plg_authentication_joomla (3.0.0) 1 | plg_authentication_cookie (3.0.0) 1 | plg_authentication_ldap (3.0.0) 0 | plg_search_content (3.0.0) 1 | plg_search_categories (3.0.0) 1 | plg_search_tags (3.0.0) 1 | plg_search_newsfeeds (3.0.0) 1 | plg_search_contacts (3.0.0) 1 | plg_system_sessiongc (3.8.6) 1 | plg_system_remember (3.0.0) 1 | plg_system_log (3.0.0) 1 | plg_system_languagecode (3.0.0) 0 | plg_system_fields (3.7.0) 1 | plg_system_updatenotification (3.5.0) 1 | plg_system_languagefilter (3.0.0) 0 | plg_system_debug (3.0.0) 1 | plg_system_redirect (3.0.0) 0 | plg_system_stats (3.5.0) 1 | PLG_SYSTEM_ACTIONLOGS (3.9.0) 0 | plg_system_logrotation (3.9.0) 1 | plg_system_cache (3.0.0) 0 | plg_system_privacyconsent (3.9.0) 0 | plg_system_sef (3.0.0) 1 | plg_system_p3p (3.0.0) 0 | plg_system_logout (3.0.0) 1 | plg_system_highlight (3.0.0) 1 | plg_privacy_consents (3.9.0) 1 | plg_privacy_content (3.9.0) 1 | plg_privacy_actionlogs (3.9.0) 1 | plg_privacy_user (3.9.0) 1 | plg_privacy_message (3.9.0) 1 | plg_finder_content (3.0.0) 1 | plg_finder_categories (3.0.0) 1 | plg_finder_tags (3.0.0) 1 | plg_finder_newsfeeds (3.0.0) 1 | plg_finder_contacts (3.0.0) 1 | PLG_ACTIONLOG_JOOMLA (3.9.0) 1 | plg_user_terms (3.9.0) 0 | plg_user_profile (3.0.0) 0 | plg_user_joomla (3.0.0) 1 | plg_user_contactcreator (3.0.0) 0 | plg_twofactorauth_totp (3.2.0) 0 | plg_twofactorauth_yubikey (3.2.0) 0 | plg_captcha_recaptcha (3.4.0) 0 | plg_captcha_recaptcha_invisible (3.8) 0 |
3rd Party:: plg_quickicon_gantry5 (5.4.37) 1 | plg_quickicon_akeebabackup (8.0.3) 1 | plg_gantry5_preset (5.4.37) 1 | PLG_SYSTEM_BACKUPONUPDATE (8.0.3) 0 | plg_system_gantry5 (5.4.37) 1 | System - SEO Site Attributes for Jo (1.0.0) ? | PLG_ACTIONLOG_AKEEBABACKUP (8.0.3) 0 | plg_editors_tinymce (4.5.12) 1 | plg_editors_codemirror (5.56.0) 1 |
Templates Discovered :: wrote:Templates :: Site :: protostar (1.0) 1 | beez3 (3.1.0) 1 | jl_bruno_pro (1.0.3) 1 |
Templates :: Admin :: isis (1.0) 1 | hathor (3.0.0) 1 |
Edit: side note, the 0777 folder permissions have been fixed

User avatar
Webdongle
Joomla! Master
Joomla! Master
Posts: 39807
Joined: Sat Apr 05, 2008 9:58 pm

Re: Could not open archive part file ../tmp/Joomla_3.9.26-Stable-Update_Package.zip for reading. C

Post by Webdongle » Sat Apr 17, 2021 12:11 am

1. Download the update package (the link is in Components >>> Joomla update).
2. Upload it to your /tmp directory.
3. Components >>> Joomla update ... Upload&Update tab ... locate the zip and upload.
If No Avail check for security on your server
http://www.weblinksonline.co.uk/
https://www.weblinksonline.co.uk/updating-joomla.html
"When I'm right no one remembers but when I'm wrong no one forgets".

tat2d
Joomla! Apprentice
Joomla! Apprentice
Posts: 49
Joined: Sun Apr 17, 2011 4:58 pm

Re: Could not open archive part file ../tmp/Joomla_3.9.26-Stable-Update_Package.zip for reading. C

Post by tat2d » Sat Apr 17, 2021 2:05 pm

It worked when I added the file to the temp folder. Will I have to do that every time there is a Joomla update?

User avatar
Webdongle
Joomla! Master
Joomla! Master
Posts: 39807
Joined: Sat Apr 05, 2008 9:58 pm

Re: Could not open archive part file ../tmp/Joomla_3.9.26-Stable-Update_Package.zip for reading. C

Post by Webdongle » Sat Apr 17, 2021 2:46 pm

Yes unless you fix the problem. You have folders 777 they should be 755. Files should be 644 (except configuration.php which 444 is correct).

Components >>> Joomla update ... check for updates ... reinstall core files
then fix the folder Permissions

Reason for that order is because if you fix the folder Permissions first and Components >>> Joomla update ... check for updates ... reinstall core files after ... then you won't know if they caused the problem or reinstalling core files would have worked anyway.
http://www.weblinksonline.co.uk/
https://www.weblinksonline.co.uk/updating-joomla.html
"When I'm right no one remembers but when I'm wrong no one forgets".


Post Reply

Return to “Installation Joomla! 3.x”